//************************************************************************
// Example1Nothing.java
//
// Presents an elementary example of a Java program, accomplishing
// nothing of real value.
//************************************************************************

public class Example1Nothing
{
   //---------------------------------------------------------------------
   // Performs a few calculations and prints their results.
   //---------------------------------------------------------------------
   public static void main(String[] args)
   {
      int a = 10, b, c = (-3 * a + 1) / 6;
      b = c / (-3) + a * (c + 6);
      System.out.print ("a is " + a + ", b is " + b + ", c is " + c);
      a = 033 + 17 + 0x33;   // adds numbers in bases 8, 10 and 16
      b++;                   // add 1 to b
      c = b++ + b++;
      System.out.println ("a is " + a + ", b is " + b + ", c is " + c);
      a = -11/3 - 11/3 - 11/3;
      System.out.println ("a is " + a + ", b is " + b + ", c is " + c);
      b = b++ + b++ + b++ + --b;
      c = (b += 6) % (a / 2);
      System.out.println ("a is " + a + ", b is " + b + ", c is " + c);
      a = b += (b += (b += b));   // don't play such games
      c = 0x7FFFFFFF;   // largest number of type int
      System.out.println("a is " + a + ", b is " + b + ", c is " + c);
      b = c + 1;
      a = - b;
      c *= 5;
      System.out.println ("a is " + a + ", b is " + b + ", c is " + c);

      byte d = 127, e = -128;   // the extreme values of byte variables
      System.out.println ("d is " + d + ", e is " + e);
      short f = d;   // The command e = f now would produce an error
      long g = 1000000000000L,   h = 2 * g;
      System.out.println ("f is " + f + ", g is " + g + ", h is " + h);

      double bigRadius = 10.38, smallRadius = 2;
      final double PI = 3.14;
      double bigArea, smallArea;
      bigArea = PI * Math.pow(bigRadius, 2);
      smallArea = PI * Math.pow(smallRadius, 2);
      System.out.println ("\nThe area of the big circle is " + bigArea
                           + "\nThe area of the small circle is " + smallArea);

      float angle = 0.785F;
      System.out.println ("The angle is " + angle + ", its sine is "
                           + Math.sin(angle) + "\nThe square root of 1/2 is "
                           + Math.sqrt(0.5));
      final float BILLION = 1000000000F, BILLION_PLUS_1 = BILLION + 1;
      System.out.println ("BILLION is " + BILLION + ", BILLION_PLUS_1 is "
                           + BILLION_PLUS_1);
   }
}
